---
description: >-
  We know a lot of these terms and services are new to people - to make our
  documentation more accessible, we've defined them all here.
---

# Glossary

| Term | Definition |
| :--- | :--- |
| AWS | Amazon Web Services |
| AWS Glacier | A secure and inexpensive S3 storage for long-term backup. |
| CI | Continuous Integration |
| CLI | Command Line Interface |
| Cluster | A unified group of servers or VMs, distributed and managed together, which serves one entity to ensure high availability, load balancing, and scalability. |
| CMS | Content Management System |
| Composer | A package manager |
| DDoS | Distributed Denial of Service |
| DNS | Domain Name System |
| Docker | A container engine using Linux features and automating application deployment. |
| Drupal | Open-source Content Management System |
| Drush |  |
| EC2 | Amazon Elastic Compute Cloud |
| Elasticsearch | An open-source search engine. It provides a distributed, multi-tenant-capable full-text search engine with a web interface and schema-free JSON documents. |
| Galera | A generic synchronous multi-master replication library for transactional databases. |
| Git | A free and open-source distributed version control system. |
| GitHub | A proprietary version control hosting company using Git. A subsidiary of Microsoft, it offers all of the distributed version control and source code management functionality of Git as well as additional features. |
| GitLab | A web-based Git repository manager with CI capabilities. |
| GraphQL | An open-source data query and manipulation language for APIs, and a runtime for fulfilling queries with existing data. |
| Harbor | An open source container image registry that secures images with role-based access control, scans images for vulnerabilities, and signs images as trusted. |
| Helm | A package manager for Kubernetes, it helps you manage Kubernetes applications. |
| Helm Charts | Helm Charts help you define, install, and upgrade even the most complex Kubernetes application. |
| HTTP | HyperText Transfer Protocol. HTTP is the underlying protocol used by the World Wide Web and this protocol defines how messages are formatted and transmitted, and what actions Web servers and browsers should take in response to various commands. |
| IPTables | A command line utility for configuring Linux kernel firewall. |
| Jenkins | An open-source automation server. |
| k3s | A highly available, certified Kubernetes distribution. |
| k3d | k3d is a lightweight wrapper to run k3s in Docker. |
| k8s | Numeronym for Kubernetes \(K + 8 letters + s\) |
| Kibana | An open-source data visualization plugin for Elasticsearch. It provides visualization capabilities on top of the content indexed on an Elasticsearch cluster. |
| Kubernetes | An open-source system for automating deployment, scaling, and management of containerized applications. |
| Lagoon | An open-source continuous delivery system for OpenShift and Kubernetes. |
| Laravel | A free, open-source PHP web framework, following the model–view–controller \(MVC\) architectural pattern and based on Symfony. |
| MariaDB | A community-developed, commercially supported fork of the MySQL relational database management system, intended to remain free and open-source software under the GNU General Public License. |
| Master node | A single node in the cluster on which a collection of processes which manage the cluster state are running. |
| Microservice | The practice of breaking up an application into a series of smaller, more specialized parts, each of which communicate with one another across common interfaces such as APIs and REST interfaces like HTTP |
| MongoDB | MongoDB is a cross-platform document-oriented database program. Classified as a NoSQL database program, MongoDB uses JSON-like documents with schema. |
| Multi-Tenant | A single instance of software runs on a server and serves multiple tenants - a tenant is a group of users who share common access with privileges to access the software instance. The software is designed to provide each tenant a share of the resources. |
| MVC | Model-view-controller - an architectural pattern that separates an application into three main logical components: the model, the view, and the controller. Each of these components are built to handle specific development aspects of an application. |
| NGINX | NGINX is a web server which can also be used as a reverse proxy, load balancer, mail proxy and HTTP cache. |
| Node | Single EC2 instance \(AWS virtual machine\) |
| Node.js | An open-source, cross-platform, JavaScript runtime environment that executes JavaScript code outside of a browser. |
| OpenShift | Container application platform that brings Docker and Kubernetes to the enterprise. |
| PHP | PHP \(Personal Home Page\) is a general-purpose programming language originally designed for web development. |
| PHPStorm |  |
| Pod | A group of containers that are deployed together on the same host. The basic unit that Kubernetes works with. |
| PostgreSQL | A free and open-source relational database management system emphasizing extensibility and technical standards compliance. |
| Public/Private Key | Public-key encryption is a cryptographic system that uses two keys -- a public key known to everyone and a private or secret key known only to the recipient of the message. |
| Puppet | An open-source software configuration management and deployment tool. |
| Python | Python is an open-source, interpreted, high-level, general-purpose programming language. |
| RabbitMQ | An open-source message-broker software. |
| RBAC | Role-Based Access Control |
| RDS | Relational Database Service |
| Solr | An open-source enterprise-search platform, written in Java. |
| SSH | Secure Socket Shell, a network protocol that provides administrators with a secure way to access a remote computer. |
| SSL | Secure Socket Layer |
| Symfony | Symfony is a PHP web application framework and a set of reusable PHP components/libraries, Drupal 8 and up are based on Symfony. |
| TCP | Transmission Control Protocol, a standard that defines how to establish and maintain a network conversation through which application programs can exchange data. |
| TLS | Transport Layer Security |
| Trivy | A simple and comprehensive vulnerability scanner for containers, suitable for CI. |
| TTL | Time to live or hop limit is a mechanism that limits the lifespan or lifetime of data in a computer or network. |
| Varnish | A powerful, open-source HTTP engine/reverse HTTP proxy that can speed up a website by caching \(or storing\) a copy of a webpage the first time a user visits. |
| VM | Virtual Machine |
| Webhook | A webhook is a way for an app like GitHub, GitLab, Bitbucket, etc, to provide other applications with immediate data and act upon something, like a pull request. |

